Loading...
Searching...
No Matches
Ogre::AbstractNode Class Referenceabstract
Core » Script

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::AbstractNode:
[legend]

## Public Member Functions

| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
virtual AbstractNode * | clone () const =0
| Returns a new AbstractNode which is a replica of this one.
ScriptProperty | getProperty () const
| Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.
const String & | getString () const
| Returns the string content of the node for ANT_ATOM. Empty string otherwise.
virtual const String & | getValue () const =0
| Returns a string value depending on the type of the AbstractNode.

## Public Attributes

Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Constructor & Destructor Documentation

## AbstractNode()

Ogre::AbstractNode::AbstractNode | ( | AbstractNode * | ptr | ) |

References AbstractNode().

Referenced by AbstractNode(), Ogre::AtomAbstractNode::AtomAbstractNode(), Ogre::ObjectAbstractNode::ObjectAbstractNode(), Ogre::PropertyAbstractNode::PropertyAbstractNode(), Ogre::VariableAccessAbstractNode::VariableAccessAbstractNode(), clone(), Ogre::AtomAbstractNode::clone(), Ogre::ImportAbstractNode::clone(), Ogre::ObjectAbstractNode::clone(), Ogre::PropertyAbstractNode::clone(), and Ogre::VariableAccessAbstractNode::clone().

## ~AbstractNode()

virtual Ogre::AbstractNode::~AbstractNode | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

virtual AbstractNode * Ogre::AbstractNode::clone | ( |  | ) | const

pure virtual

Returns a new AbstractNode which is a replica of this one.

Implemented in Ogre::AtomAbstractNode, Ogre::ImportAbstractNode, Ogre::ObjectAbstractNode, Ogre::PropertyAbstractNode, and Ogre::VariableAccessAbstractNode.

References AbstractNode().

## getValue()

virtual const String & Ogre::AbstractNode::getValue | ( |  | ) | const

pure virtual

Returns a string value depending on the type of the AbstractNode.

Implemented in Ogre::AtomAbstractNode, Ogre::ImportAbstractNode, Ogre::ObjectAbstractNode, Ogre::PropertyAbstractNode, and Ogre::VariableAccessAbstractNode.

References getProperty(), and getString().

## Member Data Documentation

## file

String Ogre::AbstractNode::file

## line

unsigned int Ogre::AbstractNode::line

## type

AbstractNodeType Ogre::AbstractNode::type

Referenced by getProperty(), and getString().

## parent

AbstractNode* Ogre::AbstractNode::parent

## context

Any Ogre::AbstractNode::context

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h